Bug 926363

Summary: portaudio: Does not support aarch64 in f19 and rawhide
Product: [Fedora] Fedora Reporter: Dennis Gilmore <dennis>
Component: portaudioAssignee: Hans de Goede <hdegoede>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: hdegoede
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: portaudio-19-16.fc17 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-05-14 01:24:21 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 922257    

Description Dennis Gilmore 2013-03-23 16:08:04 UTC
Support for the ARM 64 bit CPU architecture (aarch64) was introduced in 
autoconf 2.69.  portaudio appears to use an earlier version of 
autoconf, preventing its being built.  This can be fixed in of three ways (In order of preference):

1. Work with upstream to migrate the package to autoconf 2.69.

2. Rerun autoconf or autoreconf in %prep or %build prior to running 
configure.

3. Apply the patch at http://ausil.fedorapeople.org/aarch64/portaudio/portaudio-aarch64.patch
which updates config.guess and config.sub to recognize aarch64.

Comment 1 Fedora Update System 2013-05-04 19:25:56 UTC
portaudio-19-16.fc19,audacity-2.0.3-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/portaudio-19-16.fc19,audacity-2.0.3-1.fc19

Comment 2 Fedora Update System 2013-05-04 19:27:31 UTC
audacity-2.0.3-1.fc18,portaudio-19-16.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/audacity-2.0.3-1.fc18,portaudio-19-16.fc18

Comment 3 Fedora Update System 2013-05-05 17:09:45 UTC
Package portaudio-19-16.fc19, audacity-2.0.3-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing portaudio-19-16.fc19 audacity-2.0.3-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-7440/portaudio-19-16.fc19,audacity-2.0.3-1.fc19
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2013-05-09 13:41:35 UTC
portaudio-19-16.fc17,audacity-2.0.3-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/portaudio-19-16.fc17,audacity-2.0.3-1.fc17

Comment 5 Fedora Update System 2013-05-14 01:24:21 UTC
audacity-2.0.3-1.fc18, portaudio-19-16.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2013-05-19 02:34:45 UTC
portaudio-19-16.fc17, audacity-2.0.3-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.